import React from 'react';

var MobileControls = function MobileControls(_ref) {
  var toggleMobileOpen = _ref.toggleMobileOpen,
      routes = _ref.routes;
  var menuButtonProps = {
    type: 'button',
    onClick: toggleMobileOpen,
    className: 'mobile-control toggle-menu pull-right',
    'aria-expanded': 'false',
    'aria-controls': 'navigation'
  };
  return React.createElement("div", {
    className: "mobile-controls"
  }, React.createElement("span", {
    className: "mobile-control-group mobile-header-icons"
  }), React.createElement("div", {
    className: "mobile-control-group main-nav-icons pull-right"
  }, Boolean(routes.length) && React.createElement("button", menuButtonProps, React.createElement("span", {
    className: "ca-gov-icon-menu hidden-print",
    "aria-hidden": "true"
  }), React.createElement("span", {
    className: "sr-only"
  }, "Menu"))));
};

export default MobileControls;